POST /interaction/v1/interactions/contactMembership

Provides a list of journeys and journey versions for a list of contact keys.

JSON Parameters 

NameTypeDescription
ContactKeyListarrayRequiredList of up to 50 contact keys.

Responses 

StatusNameTypeDescription
200  ****
 resultsobjectAn object containing contacts found in a journey and contacts not found in a journey.
 contactMembershipsarrayContact membership information.
 contactMemberships.contactKeystringContact key that was included in the request.
 contactMemberships.definitionKeystringUnique identifier for the journey where the contact was found.
 contactMemberships.VersionstringVersion number of the journey where the contact was found.
 contactsNotFoundarrayList of contacts not found in any journeys in the account.

Usage 

To issue a request, you must have the Journey Builder | General, Journey Builder | Automation, and Interaction Studio | Access permissions.

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /interaction/v1/interactions/contactMembership
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7   "ContactKeyList":["ContactKey_1", "ContactKey_2", "ContactKey_3"]
8}

Example Response 

1HTTP/1.1 200 Ok
2{
3"results" : {
4"contactMemberships" : [
5    {
6        "contactKey" : "ContactKey_1",
7        "definitionKey" : "Uniqueue_Key",
8        "version" : 1
9    }
10],
11"contactsNotFound" : ["ContactKey_2", "ContactKey_3"]
12}
13}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!